
using System.ComponentModel.DataAnnotations;
using System.ComponentModel;

namespace WorkFlowCheck.Common.DTO
{
    public class CheckPointDTO
    {
        public int Id { get; set; }
        
        [Required(ErrorMessage = "A megnevezés megadása kötelező.")]
        [DisplayName("Megnevezés")]
        public string ShortName { get; set; }

        [Required(ErrorMessage = "A kód megadása kötelező.")]
        [DisplayName("Kód")]
        public string Code { get; set; }

        [DisplayName("Használatban")]
        public bool IsEnabled { get; set; }

        
        [DisplayName("Szabály")]
        public int? RoleId { get; set; }

        
        [DisplayName("Szabály neve")]
        public string? RoleName { get; set; }
        public List<CheckListTemplateRowDTO>? CheckListTemplateRowDTO { get; set; } = new List<CheckListTemplateRowDTO>();
    }
}
